チームのクレジット残高を取得
curl --request POST \
--url https://server.codeium.com/api/v1/GetTeamCreditBalance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"service_key": "<string>"
}
'import requests
url = "https://server.codeium.com/api/v1/GetTeamCreditBalance"
payload = { "service_key": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({service_key: '<string>'})
};
fetch('https://server.codeium.com/api/v1/GetTeamCreditBalance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"promptCreditsPerSeat": 123,
"numSeats": 123,
"addOnCreditsAvailable": 123,
"addOnCreditsUsed": 123,
"billingCycleStart": "<string>",
"billingCycleEnd": "<string>"
}使用量 API
チームのクレジット残高を取得
シートごとのプロンプトクレジット、追加クレジット、請求サイクル情報を含む、チームの現在のクレジット残高を取得します。
POST
/
api
/
v1
/
GetTeamCreditBalance
チームのクレジット残高を取得
概要
このエンドポイントには、現在の請求サイクルの情報のみが反映されます。 前のサイクルの過去の使用量は返されません。特に、
addOnCreditsAvailable は累計総量ではありません。これは、前のサイクルで消費された量に基づいて各請求サイクルの開始時に再計算されるため、表示される値は月ごとに変動します。チームが前のサイクルで追加クレジットを使用した場合、このサイクルの開始時点での addOnCreditsAvailable は、当初購入した量より少なくなります。リクエスト
「Billing Read」権限を持つサービスキー
リクエスト例
curl -X POST --header "Content-Type: application/json" \
--data '{
"service_key": "your_service_key_here"
}' \
https://server.codeium.com/api/v1/GetTeamCreditBalance
レスポンス
現在の請求サイクルで各シートに割り当てられるプロンプトクレジット数
チーム内のシート数
現在の請求サイクルに限りチームで利用可能な追加クレジット数。この値は前のサイクルの使用量に基づいて各請求サイクルの開始時に再計算されるため、月ごとに変動し、購入した追加クレジットの累計総数ではありません。
現在の請求サイクルに限りこれまでに消費された追加クレジット数。このカウンターは新しいサイクルの開始時にリセットされ、以前のサイクルの使用量は含まれません。
現在の請求サイクルの開始日時 (ISO 8601 タイムスタンプ)
現在の請求サイクルの終了日時 (ISO 8601 タイムスタンプ)
レスポンス例
{
"promptCreditsPerSeat": 500,
"numSeats": 50,
"addOnCreditsAvailable": 10000,
"addOnCreditsUsed": 3500,
"billingCycleStart": "2026-01-01T00:00:00Z",
"billingCycleEnd": "2026-02-01T00:00:00Z"
}
エラー応答
- サービスキーが無効、または権限が不足している
- ご利用中のプランではこの機能を利用できません (Enterprise ティアが必要です)
- レート制限を超過しました
⌘I

